				;Title("Icicle Dodge")
#include "ionreg.inc"
	.org $9327
	ret
	jr nc,TI_sysbegin
TI_MAINTITLE
	.db "Icicle Dodge",0
TI_sysbegin:
	jp MAIN
VIDEOBUFF = plotsscreen
CHARACTERGFX:
	.db %00111100
	.db %00100100
	.db %00111100
	.db %00011000
	.db %11111111
	.db %00011000
	.db %00100100
	.db %01000010
ICICLEGFX:
	.db %01111111
	.db %10001001
	.db %01010001
	.db %01000010
	.db %00100100
	.db %00010100
	.db %00001000
	.db %00001000
MAIN:
				;	StartExec
				;	ScrambleRandomSeed
	call SCRAMBLERANDOMSEED
				;	DrawString("Press 2nd to begin!", 10, 10)
	ld hl,TI_STRING0 
	ld (SYSPOINTERARG0),hl
	ld a,10 
	ld (SYSBYTEARG0),a
	ld (SYSBYTEARG1),a
	call DRAWSTRING
				;	WaitForSecond
	call WAITFORSECOND
				;	charX = 40
	ld a,40 
	ld (CHARX),a
				;	icicle1Y = 56
	ld a,56 
	ld (ICICLE1Y),a
				;	icicle2X = 28
	ld a,28 
	ld (ICICLE2X),a
				;	icicle2Y = 28
	ld (ICICLE2Y),a
				;	dead = 28	/ any nonzero works, using 28 optimizes because of last two expressions
	ld (DEAD),a
				;	GameLoop
	call GAMELOOP
				;	EndExec
	ret
GAMELOOP:
				;	Do
TI_DOWHILE0:
				;	ClearMemory(NUMSCREENBYTES, videobuff)
	ld hl,NUMSCREENBYTES-1 
	push hl
	ld hl,VIDEOBUFF 
	push hl
	pop de
	inc de
	ld (hl),0
	pop bc
	ldir
				;	tempbyte = charX + 4
	ld a,(CHARX)
	add a,4 
	ld (TEMPBYTE),a
				;	tempbyte2 = charX - 4
	ld a,(CHARX)
	sub 4 
	ld (TEMPBYTE2),a
				;	ifmore(icicle1Y, 46)
	ld a,(ICICLE1Y)
	cp 46 
	jp z,TI_IFTHEN9
	jp c,TI_IFTHEN9
				;		ifnotmore(icicle1X, tempbyte)
	ld a,(ICICLE1X)
	ld hl,TEMPBYTE
	ld b,(hl)
	cp b
	jp nc,TI_IFTHEN10
				;			ifnotless(icicle1X, tempbyte2)
	ld a,(ICICLE1X)
	ld hl,TEMPBYTE2
	ld b,(hl)
	cp b
	jp c,TI_IFTHEN11
				;				dead = 0
	xor a ;0 
	ld (DEAD),a
				;			endif
TI_IFTHEN11:
				;		endif
TI_IFTHEN10:
				;	endif
TI_IFTHEN9:
				;	ifmore(icicle2Y, 46)
	ld a,(ICICLE2Y)
	cp 46 
	jp z,TI_IFTHEN15
	jp c,TI_IFTHEN15
				;		ifnotmore(icicle2X, tempbyte)
	ld a,(ICICLE2X)
	ld hl,TEMPBYTE
	ld b,(hl)
	cp b
	jp nc,TI_IFTHEN16
				;			ifnotless(icicle2X, tempbyte2)
	ld a,(ICICLE2X)
	ld hl,TEMPBYTE2
	ld b,(hl)
	cp b
	jp c,TI_IFTHEN17
				;				dead = 0
	xor a ;0 
	ld (DEAD),a
				;			endif
TI_IFTHEN17:
				;		endif
TI_IFTHEN16:
				;	endif
TI_IFTHEN15:
				;	ifequal(icicle1Y, 56)
	ld a,(ICICLE1Y)
	cp 56 
	jp nz,TI_IFTHEN21
				;		GetRandomNumber(SCREENWIDTH-8)
	ld a,SCREENWIDTH-8 
	ld (SYSBYTEARG0),a
	call GETRANDOMNUMBER
				;		icicle1X=success
	ld a,(SUCCESS)
	ld (ICICLE1X),a
				;		icicle1y=0
	xor a ;0 
	ld (ICICLE1Y),a
				;	endif
TI_IFTHEN21:
				;	ifequal(icicle2Y, 56)
	ld a,(ICICLE2Y)
	cp 56 
	jp nz,TI_IFTHEN24
				;		GetRandomNumber(SCREENWIDTH-8)
	ld a,SCREENWIDTH-8 
	ld (SYSBYTEARG0),a
	call GETRANDOMNUMBER
				;		icicle2X=success
	ld a,(SUCCESS)
	ld (ICICLE2X),a
				;		icicle2y=0
	xor a ;0 
	ld (ICICLE2Y),a
				;	endif
TI_IFTHEN24:
				;	ifkey(left)
	ld bc,$fe02
	call TI_GETKEY
	jp nz,TI_IFTHEN27
				;		ifnotequal(charx, 2)
	ld a,(CHARX)
	cp 2 
	jp z,TI_IFTHEN28
				;			charx -= 2
	ld a,(CHARX)
	sub 2 
	ld (CHARX),a
				;		endif
TI_IFTHEN28:
				;	endif
TI_IFTHEN27:
				;	ifkey(right)
	ld bc,$fe04
	call TI_GETKEY
	jp nz,TI_IFTHEN31
				;		ifnotequal(charx, SCREENWIDTH-8)
	ld a,(CHARX)
	cp SCREENWIDTH-8 
	jp z,TI_IFTHEN32
				;			charx += 2
	ld a,(CHARX)
	add a,2 
	ld (CHARX),a
				;		endif
TI_IFTHEN32:
				;	endif
TI_IFTHEN31:
				;	Draw88(characterGFX, charx, 56)
	ld hl,CHARACTERGFX 
	ld (SYSPOINTERARG0),hl
	ld a,(CHARX)
	ld (SYSBYTEARG0),a
	ld a,56 
	ld (SYSBYTEARG1),a
	call DRAW88
				;	Draw88(icicleGFX, icicle1X, icicle1Y)
	ld hl,ICICLEGFX 
	ld (SYSPOINTERARG0),hl
	ld a,(ICICLE1X)
	ld (SYSBYTEARG0),a
	ld a,(ICICLE1Y)
	ld (SYSBYTEARG1),a
	call DRAW88
				;	Draw88(syspointerarg0, icicle2X, icicle2Y)
	ld a,(ICICLE2X)
	ld (SYSBYTEARG0),a
	ld a,(ICICLE2Y)
	ld (SYSBYTEARG1),a
	call DRAW88
				;	icicle1Y++
	ld hl,ICICLE1Y 
	inc (hl)
				;	icicle2Y++
	ld hl,ICICLE2Y 
	inc (hl)
				;	CopyBuffer
	call COPYBUFFER
				;	WhileNotEqual(dead, 0)
	ld a,(DEAD)
	or a; 0 
	jp nz,TI_DOWHILE0
	ret
				;END
COPYBUFFER .equ ionFastCopy
WAITFORSECOND:
;waits for 2nd to be pressed and released
    call TI_wfsb4
TI_wfsb2:
    call TI_wfsb3
    jr nz,TI_wfsb2
TI_wfsb4:
    call TI_wfsb3
    jr z,TI_wfsb4
    ret
TI_wfsb3:
    ld a, $ff
    out (1),a
    ld a, $bf
    out (1),a
    in a,(1)
    cp 223
    ret
DRAWSTRING:
;draws a string
    ld hl,(SYSBYTEARG0)
    ld (pencol), hl
    ld hl, (SYSPOINTERARG0)
    bcall _vputs
    ret
GETRANDOMNUMBER:
	ld a,r
	ld e,a
	ld d,0
	ld hl, (GETRANDOMNUMBER_SEED)
	add hl,de
	ld (GETRANDOMNUMBER_SEED),hl
	ld a,(SYSBYTEARG0)
	bcall _divHLbyA
	inc a
	ld (SUCCESS),a
	ret
GETRANDOMNUMBER_SEED:
	.dw $3B56	; just some random number I chose to start out with.
SCRAMBLERANDOMSEED:
	ld a,r
	rrca
	inc a
	ld (GETRANDOMNUMBER_SEED+1),a
	ret
DRAW8:
;ors an 8 pixel wide nonaligned sprite
    ld de,(SYSBYTEARG1)     
    sla e
    sla e
    ld h,0
    ld d,h
    ld l,e
    add hl,hl
    add hl,de
    ld a,(SYSBYTEARG0)
    ld e,a
    srl e
    srl e
    srl e
    add hl,de
    ld de, VIDEOBUFF
    add hl,de       ; Add address to graphbuf
    and %00000111
    ld ix, (SYSPOINTERARG0)
    ld c, a
    ld a,(SPRITE8HEIGHT)
    ld b, a
ds21lp:
    push bc
    ld a, c
    ld c, (ix+0)
    or a
    jr z, TI_D8_skiprotate
    ld b, a
    xor a
ds21lp2:
    rr c
    rra
    djnz ds21lp2
TI_D8_skiprotate:
    ld b,a
    ld a,c
    or (hl)
    ld (hl),a
    inc hl
    ld a,b
    or (hl)
    ld (hl),a
    inc ix
    ld bc, 11
    add hl, bc
    pop bc
    djnz ds21lp
    ret
DRAW88:
    ld a, 8
    ld (SPRITE8HEIGHT), a
    jp Draw8
TI_CP16:
	push hl
	or a
	sbc hl,de
	pop hl
	ret
;After about three hours of tweaking, I found this to be the most
;stable and effective way to read keys through the hardware (twice)
TI_GETKEY:
	ld a, $ff
	out (1), a
	ld a, b
	out (1), a
	in a, (1)
	and c
	ret z
	ld a, $ff
	out (1), a
	ld a, b
	out (1), a
	in a, (1)
	and c
	ret
TI_STRING0:
	.db "Press 2nd to begin!",0
TI_ENDFILE:
SYSWORDARG1                              .equ $b7fe
SYSWORDARG0                              .equ $b7fc
SPRITE16HEIGHT                           .equ $b7fb
SPRITE8HEIGHT                            .equ $b7fa
SUCCESS                                  .equ $b7f9
SYSBYTEARG4                              .equ $b7f8
SYSBYTEARG3                              .equ $b7f7
SYSBYTEARG2                              .equ $b7f6
SYSBYTEARG1                              .equ $b7f5
SYSBYTEARG0                              .equ $b7f4
SYSPOINTERARG1                           .equ $b7f2
SYSPOINTERARG0                           .equ $b7f0
CHARX                                    .equ $b7ef
ICICLE1X                                 .equ $b7ee
ICICLE1Y                                 .equ $b7ed
ICICLE2X                                 .equ $b7ec
ICICLE2Y                                 .equ $b7eb
DEAD                                     .equ $b7ea
TEMPBYTE                                 .equ $b7e9
TEMPBYTE2                                .equ $b7e8
FREEMEM                                  .equ 47080
SCREENHEIGHT                             .equ 64
NUMSCREENBYTES                           .equ 768
SCREENWIDTH                              .equ 96
SCREENWIDTHBYTES                         .equ 12
SCREENWIDTH-8                            .equ SCREENWIDTH-8
