;----------------------------------------------
; TI-86 character equates
;----------------------------------------------
; Version 02/02/1999 by Clement Vasseur
; Report any error to <darkclem@wanadoo.fr>

Lbinary			equ		001h
Loctal			equ		002h
Ldecimal		equ		003h
Lhexadecimal	equ		004h
Lconvert		equ		005h
LsqUp			equ		006h
LsqDown			equ		007h
Lintegral		equ		008h
Lcross			equ		009h
LhexA			equ		00Ah
LhexB			equ		00Bh
LhexC			equ		00Ch
LhexD			equ		00Dh
LhexE			equ		00Eh
LhexF			equ		00Fh
Lroot			equ		010h
Linverse		equ		011h
Lsquare			equ		012h
Langle			equ		013h
Ldegree			equ		014h
Lradian			equ		015h
Ltranspose		equ		016h
LLE				equ		017h
LNE				equ		018h
LGE				equ		019h
Lneg			equ		01Ah
Lexponent		equ		01Bh
Lstore			equ		01Ch
Lten			equ		01Dh
LupArrow		equ		01Eh
LdownArrow		equ		01Fh
Lspace			equ		020h
Lexclam			equ		021h
Lquote			equ		022h
Lpound			equ		023h
Ldollar			equ		024h
Lpercent		equ		025h
Lampersand		equ		026h
Lapostrophe		equ		027h
LlParen			equ		028h
LrParen			equ		029h
Lasterisk		equ		02Ah
LplusSign		equ		02Bh
Lcomma			equ		02Ch
Ldash			equ		02Dh
Lperiod			equ		02Eh
Lslash			equ		02Fh
L0				equ		030h
L1				equ		031h
L2				equ		032h
L3				equ		033h
L4				equ		034h
L5				equ		035h
L6				equ		036h
L7				equ		037h
L8				equ		038h
L9				equ		039h
Lcolon			equ		03Ah
Lsemicolon		equ		03Bh
LLT				equ		03Ch
LEQ				equ		03Dh
LGT				equ		03Eh
Lquestion		equ		03Fh
LatSign			equ		040h
LcapA			equ		041h
LcapB			equ		042h
LcapC			equ		043h
LcapD			equ		044h
LcapE			equ		045h
LcapF			equ		046h
LcapG			equ		047h
LcapH			equ		048h
LcapI			equ		049h
LcapJ			equ		04Ah
LcapK			equ		04Bh
LcapL			equ		04Ch
LcapM			equ		04Dh
LcapN			equ		04Eh
LcapO			equ		04Fh
LcapP			equ		050h
LcapQ			equ		051h
LcapR			equ		052h
LcapS			equ		053h
LcapT			equ		054h
LcapU			equ		055h
LcapV			equ		056h
LcapW			equ		057h
LcapX			equ		058h
LcapY			equ		059h
LcapZ			equ		05Ah
LlBrack			equ		05Bh
Lbackslash		equ		05Ch
LrBrack			equ		05Dh
Lcaret			equ		05Eh
Lunderscore		equ		05Fh
Lbackquote		equ		060h
La				equ		061h
Lb				equ		062h
Lc				equ		063h
Ld				equ		064h
Le				equ		065h
Lf				equ		066h
Lg				equ		067h
Lh				equ		068h
Li				equ		069h
Lj				equ		06Ah
Lk				equ		06Bh
Ll				equ		06Ch
Lm				equ		06Dh
Ln				equ		06Eh
Lo				equ		06Fh
Lp				equ		070h
Lq				equ		071h
Lr				equ		072h
Ls				equ		073h
Lt				equ		074h
Lu				equ		075h
Lv				equ		076h
Lw				equ		077h
Lx				equ		078h
Ly				equ		079h
Lz				equ		07Ah
LlBrace			equ		07Bh
Lbar			equ		07Ch
LrBrace			equ		07Dh
Ltilde			equ		07Eh
LinvEQ			equ		07Fh
Lsub0			equ		080h
Lsub1			equ		081h
Lsub2			equ		082h
Lsub3			equ		083h
Lsub4			equ		084h
Lsub5			equ		085h
Lsub6			equ		086h
Lsub7			equ		087h
Lsub8			equ		088h
Lsub9			equ		089h
LcapAAcute		equ		08Ah
LcapAGrave		equ		08Bh
LcapACaret		equ		08Ch
LcapADier		equ		08Dh
LaAcute			equ		08Eh
LaGrave			equ		08Fh
LaCaret			equ		090h
LaDier			equ		091h
LcapEAcute		equ		092h
LcapEGrave		equ		093h
LcapECaret		equ		094h
LcapEDier		equ		095h
LeAcute			equ		096h
LeGrave			equ		097h
LeCaret			equ		098h
LeDier			equ		099h
LcapIAcute		equ		09Ah
LcapIGrave		equ		09Bh
LcapICaret		equ		09Ch
LcapIDier		equ		09Dh
LiAcute			equ		09Eh
LiGrave			equ		09Fh
LiCaret			equ		0A0h
LiDier			equ		0A1h
LcapOAcute		equ		0A2h
LcapOGrave		equ		0A3h
LcapOCaret		equ		0A4h
LcapODier		equ		0A5h
LoAcute			equ		0A6h
LoGrave			equ		0A7h
LoCaret			equ		0A8h
LoDier			equ		0A9h
LcapUAcute		equ		0AAh
LcapUGrave		equ		0ABh
LcapUCaret		equ		0ACh
LcapUDier		equ		0ADh
LuAcute			equ		0AEh
LuGrave			equ		0AFh
LuCaret			equ		0B0h
LuDier			equ		0B1h
LcapCCed		equ		0B2h
LcCed			equ		0B3h
LcapNTilde		equ		0B4h
LnTilde			equ		0B5h
Laccent			equ		0B6h
Lgrave			equ		0B7h
Ldieresis		equ		0B8h
LquesDown		equ		0B9h
LexclamDown		equ		0BAh
Lalpha			equ		0BBh
Lbeta			equ		0BCh
Lgamma			equ		0BDh
LcapDelta		equ		0BEh
Ldelta			equ		0BFh
Lepsilon		equ		0C0h
Ltheta			equ		0C1h
Llambda			equ		0C2h
Lmu				equ		0C3h
Lpi				equ		0C4h
Lrho			equ		0C5h
LcapSigma		equ		0C6h
Lsigma			equ		0C7h
Ltau			equ		0C8h
Lphi			equ		0C9h
LcapOmega		equ		0CAh
LxMean			equ		0CBh
LyMean			equ		0CCh
LsupX			equ		0CDh
Lellipsis		equ		0CEh
Lleft			equ		0CFh
Lblock			equ		0D0h
Lper			equ		0D1h
Lhyphen			equ		0D2h
Larea			equ		0D3h
Ltemp			equ		0D4h
Lcube			equ		0D5h
Lenter			equ		0D6h
LblockArrow		equ		0D7h

.end
