				;Title("Total Collapse")
#include "ionreg.inc"
	.org $9327
	ret
	jr nc,TI_sysbegin
TI_MAINTITLE
	.db "Total Collapse",0
TI_sysbegin:
	jp MAIN
VIDEOBUFF = plotsscreen
#include "TIPwin83reg.inc"
TIPWIN83:
	.db 6,"TIPWIN83",0
MYSHIP:
	.db %00011000
	.db %00111100
	.db %11111111
TITLESCREEN:
	.db "By: Thomas Williamson", 0
	.db "Press 2nd to continue", 0, 0
DEATHSCREEN:
	.db "Blam! Score:", 0, 0
MAINOPTIONSCREEN:
	.db 3
	.db "Play Game!", 0
	.db "Speed:", 0
	.db "Shrink Spd:", 0
	.db 255
	.dw DRAWOPTIONS
	.dw PLAYGAME, CHANGESPEED, CHANGESHRINKSPEED
MAIN:
				;	StartExec
				;	LoadLibrary(TIPwin83)
	ld hl,TIPWIN83 
	ld (SYSPOINTERARG0),hl
	call LOADLIBRARY
				;	speed = 1
	ld a,1 
	ld (SPEED),a
				;	shrinkspeed = 200
	ld a,200 
	ld (SHRINKSPEED),a
				;	MessageBoxCenter(80, 24, TI_MAINTITLE, TitleScreen, MB_OK)
	ld a,80 
	ld (SYSBYTEARG2),a
	ld a,24 
	ld (SYSBYTEARG3),a
	ld hl,TI_MAINTITLE 
	ld (SYSPOINTERARG0),hl
	ld hl,TITLESCREEN 
	ld (SYSPOINTERARG1),hl
	ld a,MB_OK 
	ld (SYSBYTEARG4),a
	call MESSAGEBOXCENTER
				;	WindowMenu(70, 28, "Main Menu", MainOptionScreen)
	ld a,70 
	ld (SYSBYTEARG2),a
	ld a,28 
	ld (SYSBYTEARG3),a
	ld hl,TI_STRING0 
	ld (SYSPOINTERARG0),hl
	ld hl,MAINOPTIONSCREEN 
	ld (SYSPOINTERARG1),hl
	call WINDOWMENU
				;	EndExec
	ret
CHANGESPEED:
				;	Xor(Speed, 1)
	ld a,(SPEED)
	xor 1
	ld (SPEED),a
	ret
CHANGESHRINKSPEED:
				;	ifequalelse(shrinkspeed, 200)
	ld a,(SHRINKSPEED)
	cp 200 
	jp nz,TI_IFTHEN6b
				;		shrinkspeed = 100
	ld a,100 
	ld (SHRINKSPEED),a
				;	else
	jp TI_IFTHEN6
TI_IFTHEN6b:
				;		shrinkspeed = 200
	ld a,200 
	ld (SHRINKSPEED),a
				;	endif
TI_IFTHEN6:
	ret
DRAWOPTIONS:
				;	ifequalelse(speed, 1)
	ld a,(SPEED)
	cp 1 
	jp nz,TI_IFTHEN9b
				;		DrawString(faststring, 64, 32)
	ld hl,FASTSTRING 
	ld (SYSPOINTERARG0),hl
	ld a,64 
	ld (SYSBYTEARG0),a
	ld a,32 
	ld (SYSBYTEARG1),a
	call DRAWSTRING
				;	else
	jp TI_IFTHEN9
TI_IFTHEN9b:
				;		DrawString(slowstring, 64, 32)
	ld hl,SLOWSTRING 
	ld (SYSPOINTERARG0),hl
	ld a,64 
	ld (SYSBYTEARG0),a
	ld a,32 
	ld (SYSBYTEARG1),a
	call DRAWSTRING
				;	endif
TI_IFTHEN9:
				;	ifequalelse(shrinkspeed, 200)
	ld a,(SHRINKSPEED)
	cp 200 
	jp nz,TI_IFTHEN14b
				;		DrawString(slowstring, 64, 38)
	ld hl,SLOWSTRING 
	ld (SYSPOINTERARG0),hl
	ld a,64 
	ld (SYSBYTEARG0),a
	ld a,38 
	ld (SYSBYTEARG1),a
	call DRAWSTRING
				;	else
	jp TI_IFTHEN14
TI_IFTHEN14b:
				;		DrawString(faststring, 64, 38)
	ld hl,FASTSTRING 
	ld (SYSPOINTERARG0),hl
	ld a,64 
	ld (SYSBYTEARG0),a
	ld a,38 
	ld (SYSBYTEARG1),a
	call DRAWSTRING
				;	endif
TI_IFTHEN14:
	ret
PLAYGAME:
				;	ClearScreen	/Since the buffer and LCD are the same on the 86, we gotta
	call CLEARSCREEN
				;	score = 0
	ld hl,0 
	ld (SCORE),hl
				;	loopbyte = 0	/ when this reaches 200, we shrink the tunnel a bit
	xor a ;0 
	ld (LOOPBYTE),a
				;	curtunnelx = 40
	ld a,40 
	ld (CURTUNNELX),a
				;	tunnelsize = 30
	ld a,30 
	ld (TUNNELSIZE),a
				;	shipx = 51
	ld a,51 
	ld (SHIPX),a
				;	Do
TI_DOWHILE1:
				;	score++
	ld hl,(SCORE)
	inc hl
	ld (SCORE),hl
				;	loopbyte++
	ld hl,LOOPBYTE 
	inc (hl)
				;	ifequal(loopbyte, shrinkspeed)
	ld a,(LOOPBYTE)
	ld hl,SHRINKSPEED
	ld b,(hl)
	cp b
	jp nz,TI_IFTHEN21
				;		ScrambleRandomSeed /While we're at it...
	call SCRAMBLERANDOMSEED
				;		tunnelsize--
	ld hl,TUNNELSIZE 
	dec (hl)
				;		loopbyte = 0
	xor a ;0 
	ld (LOOPBYTE),a
				;	endif
TI_IFTHEN21:
				;	GetRandomNumber(3)	/ Get random # from 1 and 3
	ld a,3 
	ld (SYSBYTEARG0),a
	call GETRANDOMNUMBER
				;	curtunnelx -= 2		/ curtunnel = curtunnel - 2 + (1-3)
	ld a,(CURTUNNELX)
	sub 2 
	ld (CURTUNNELX),a
				;	curtunnelx += success	/ this makes it move back and forth
	ld a,(CURTUNNELX)
	ld hl,SUCCESS
	add a,(hl)
	ld (CURTUNNELX),a
				;	ifequal(curtunnelx,0)
	or a; 0 
	jp nz,TI_IFTHEN25
				;		curtunnelx++	/ check if its going to far left
	ld hl,CURTUNNELX 
	inc (hl)
				;	endif
TI_IFTHEN25:
				;	ifequal(curtunnelx,64)	/ check if its going to far right
	ld a,(CURTUNNELX)
	cp 64 
	jp nz,TI_IFTHEN27
				;		curtunnelx--
	ld hl,CURTUNNELX 
	dec (hl)
				;	endif
TI_IFTHEN27:
				;	HorzLine(0,2,curtunnelx)
	xor a ;0 
	ld (SYSBYTEARG0),a
	ld a,2 
	ld (SYSBYTEARG1),a
	ld a,(CURTUNNELX)
	ld (SYSBYTEARG2),a
	call HORZLINE
				;	sysbytearg0 = curtunnelx + tunnelsize
	ld a,(CURTUNNELX)
	ld hl,TUNNELSIZE
	add a,(hl)
	ld (SYSBYTEARG0),a
				;	sysbytearg2 = SCREENWIDTH - sysbytearg0
	ld a,SCREENWIDTH 
	ld hl,SYSBYTEARG0
	sub (hl)
	ld (SYSBYTEARG2),a
				;	HorzLine(sysbytearg0, sysbytearg1, sysbytearg2)
	call HORZLINE
				;	ifequal(speed, 1)
	ld a,(SPEED)
	cp 1 
	jp nz,TI_IFTHEN31
				;		HorzLine(sysbytearg0, 3, sysbytearg2)
	ld a,3 
	ld (SYSBYTEARG1),a
	call HORZLINE
				;		HorzLine(0,sysbytearg1,curtunnelx)
	xor a ;0 
	ld (SYSBYTEARG0),a
	ld a,(CURTUNNELX)
	ld (SYSBYTEARG2),a
	call HORZLINE
				;	endif
TI_IFTHEN31:
				;	ifkey(left)
	ld bc,$fe02
	call TI_GETKEY
	jp nz,TI_IFTHEN35
				;		ifnotequal(shipx, 0)
	ld a,(SHIPX)
	or a; 0 
	jp z,TI_IFTHEN36
				;			shipx--
	ld hl,SHIPX 
	dec (hl)
				;		endif
TI_IFTHEN36:
				;	endif
TI_IFTHEN35:
				;	ifkey(right)
	ld bc,$fe04
	call TI_GETKEY
	jp nz,TI_IFTHEN39
				;		ifnotequal(shipx, 80)
	ld a,(SHIPX)
	cp 80 
	jp z,TI_IFTHEN40
				;			shipx++
	ld hl,SHIPX 
	inc (hl)
				;		endif
TI_IFTHEN40:
				;	endif
TI_IFTHEN39:
				;	ifkey(exit)
	ld bc,$bf40
	call TI_GETKEY
	jp nz,TI_IFTHEN43
				;		EscapeFunction
	ret
				;	endif
TI_IFTHEN43:
				;	Draw8H(MyShip, shipx, 58, 3)
	ld hl,MYSHIP 
	ld (SYSPOINTERARG0),hl
	ld a,(SHIPX)
	ld (SYSBYTEARG0),a
	ld a,58 
	ld (SYSBYTEARG1),a
	ld a,3 
	ld (SPRITE8HEIGHT),a
	call DRAW8H
				;	ScrollDown(VideoBuff, tempbuffer)
	ld hl,VIDEOBUFF 
	ld (SYSPOINTERARG0),hl
	ld hl,TEMPBUFFER 
	ld (SYSPOINTERARG1),hl
	call SCROLLDOWN
				;	ifequalelse(speed, 1)
	ld a,(SPEED)
	cp 1 
	jp nz,TI_IFTHEN47b
				;		ScrollDown(VideoBuff, tempbuffer)
	ld hl,VIDEOBUFF 
	ld (SYSPOINTERARG0),hl
	ld hl,TEMPBUFFER 
	ld (SYSPOINTERARG1),hl
	call SCROLLDOWN
				;	else
	jp TI_IFTHEN47
TI_IFTHEN47b:
				;	endif
TI_IFTHEN47:
				;	ClearMemory(SCREENWIDTHBYTES*2, videobuff)
	ld hl,SCREENWIDTHBYTES*2-1 
	push hl
	ld hl,VIDEOBUFF 
	push hl
	pop de
	inc de
	ld (hl),0
	pop bc
	ldir
				;	CopyBuffer	/ If on a TI-83, we need to copy the buffer to the LCD driver
	call COPYBUFFER
				;	sysbytearg0 = shipx + 4
	ld a,(SHIPX)
	add a,4 
	ld (SYSBYTEARG0),a
				;	TestPixel(sysbytearg0, 58)
	ld a,58 
	ld (SYSBYTEARG1),a
	call TESTPIXEL
				;	WhileEqual(success, 0)
	ld a,(SUCCESS)
	or a; 0 
	jp z,TI_DOWHILE1
				;	MessageBoxCenter(50, 22, "You Died", DeathScreen, MB_NONE)
	ld a,50 
	ld (SYSBYTEARG2),a
	ld a,22 
	ld (SYSBYTEARG3),a
	ld hl,TI_STRING1 
	ld (SYSPOINTERARG0),hl
	ld hl,DEATHSCREEN 
	ld (SYSPOINTERARG1),hl
	ld a,MB_NONE 
	ld (SYSBYTEARG4),a
	call MESSAGEBOXCENTER
				;	CopyBuffer
	call COPYBUFFER
				;	DrawNumber(score, 44, 35)
	ld hl,(SCORE)
	ld (SYSWORDARG0),hl
	ld a,44 
	ld (SYSBYTEARG0),a
	ld a,35 
	ld (SYSBYTEARG1),a
	call DRAWNUMBER
				;	WaitForSecond
	call WAITFORSECOND
	ret
				;END
CLEARSCREEN:
;clears the home screen
    ld hl, VIDEOBUFF
    ld de, VIDEOBUFF+1
    ld (hl),0
    ld bc, NUMSCREENBYTES-1
    ldir
    jp ionFastCopy
COPYBUFFER .equ ionFastCopy
WAITFORSECOND:
;waits for 2nd to be pressed and released
    call TI_wfsb4
TI_wfsb2:
    call TI_wfsb3
    jr nz,TI_wfsb2
TI_wfsb4:
    call TI_wfsb3
    jr z,TI_wfsb4
    ret
TI_wfsb3:
    ld a, $ff
    out (1),a
    ld a, $bf
    out (1),a
    in a,(1)
    cp 223
    ret
DRAWSTRING:
;draws a string
    ld hl,(SYSBYTEARG0)
    ld (pencol), hl
    ld hl, (SYSPOINTERARG0)
    bcall _vputs
    ret
DRAWNUMBER:
;draws a 16-bit number
    ld hl,(SYSBYTEARG0)
    ld (pencol),hl
    ld hl,(SYSWORDARG0)
    ld de,op1+5
    xor a
    ld (de),a
TI_DNLOOP:
    bcall _divhlby10
    dec de
    add  a,'0'
    ld (de),a
    ld a,h
    or l
    jr nz,TI_DNLOOP
    ex de,hl
    bcall _vputs
    ret
LOADSTRING:
;loads a string from memory
    ld hl,(SYSPOINTERARG0)
    ld de, op1
    ld bc, 10
    ldir
    bcall _chkfindsym
    jr c, TI_LSERROR
    ex de,hl          ; exchange de and hl
    ld c,(hl)         ; get LSB of the size
    inc hl            ; next byte
    ld b,(hl)         ; get MSB of the size
    inc hl            ; next byte
    inc hl	; since it is actually a program. We skip the $bb and 6d
    inc hl
    ld de,(SYSPOINTERARG1)       ; buffer
    ldir              ; copy data
    xor a
TI_LOADSTRING_FINISH:
    ld (SUCCESS),a
    ret
TI_LSERROR:
    ld a,1
    jr TI_LOADSTRING_FINISH
LOADLIBRARY:
;loads a library into the last 4k of the RAM_PAGE_1 (assuming 14k is alterable)
    ld hl, $b800
    ld (SYSPOINTERARG1), hl
    call LOADSTRING
    ld a, (SUCCESS) ;if library succeeded in loading
    or a
    ret z
;disables any user interrupts being used
    res 2,(iy+$23)
    ld a,$3c
    out (0),a    
;draws error string
    ld hl, 0
    ld (curRow), hl
    ld hl, TI_LOADLERRSTRING
    bcall _puts
    ret
TI_LOADLERRSTRING:
    .db "Required Library was not found.", 0
GETRANDOMNUMBER:
	ld a,r
	ld e,a
	ld d,0
	ld hl, (GETRANDOMNUMBER_SEED)
	add hl,de
	ld (GETRANDOMNUMBER_SEED),hl
	ld a,(SYSBYTEARG0)
	bcall _divHLbyA
	inc a
	ld (SUCCESS),a
	ret
GETRANDOMNUMBER_SEED:
	.dw $3B56	; just some random number I chose to start out with.
SCRAMBLERANDOMSEED:
	ld a,r
	rrca
	inc a
	ld (GETRANDOMNUMBER_SEED+1),a
	ret
DRAW8:
;ors an 8 pixel wide nonaligned sprite
    ld de,(SYSBYTEARG1)     
    sla e
    sla e
    ld h,0
    ld d,h
    ld l,e
    add hl,hl
    add hl,de
    ld a,(SYSBYTEARG0)
    ld e,a
    srl e
    srl e
    srl e
    add hl,de
    ld de, VIDEOBUFF
    add hl,de       ; Add address to graphbuf
    and %00000111
    ld ix, (SYSPOINTERARG0)
    ld c, a
    ld a,(SPRITE8HEIGHT)
    ld b, a
ds21lp:
    push bc
    ld a, c
    ld c, (ix+0)
    or a
    jr z, TI_D8_skiprotate
    ld b, a
    xor a
ds21lp2:
    rr c
    rra
    djnz ds21lp2
TI_D8_skiprotate:
    ld b,a
    ld a,c
    or (hl)
    ld (hl),a
    inc hl
    ld a,b
    or (hl)
    ld (hl),a
    inc ix
    ld bc, 11
    add hl, bc
    pop bc
    djnz ds21lp
    ret
DRAW8H .equ DRAW8
SCROLLDOWN:
; scrolls buffer in pointer 0 down 1 pixel, uses 12-byte buffer pointed to by pointer 1 for temp. storage
  ld hl,(SYSPOINTERARG0)
  ld de,(SYSPOINTERARG1)
  push de
  push hl
  ld bc, 756
  add hl,bc
  push bc
  push hl
  push hl
  ld bc, 12
  push bc
  ldir
  pop hl
  pop de
  dec hl
  add hl,de
  ex de,hl
  pop hl
  dec hl
  pop bc
  lddr
  pop de
  pop hl
  ld bc,12
  ldir
  ret
TI_FINDPIXEL:
    ld de,(SYSBYTEARG0)
    ld a,e
    ld e,d
    sla e
    sla e
    ld h,0
    ld d,h
    ld l,e
    add hl,hl
    add hl,de
    ld e,a
    srl e
    srl e
    srl e
    add hl,de
    ld bc, VIDEOBUFF
    add hl,bc   ; Add address to graphbuf
    and %00000111
    ld e,a
    push hl
    ld hl, TI_FP_Bits
    add hl,de
    ld a,(hl)
    pop hl
    ret
TI_FP_Bits: .db $80,$40,$20,$10,$08,$04,$02,$01
TESTPIXEL:
  call TI_FINDPIXEL
  and (hl)
  ld (SUCCESS), a
  ret
HORZLINE:
  call TI_FINDPIXEL
  ld bc, (SYSBYTEARG1)
TI_HorzLineLoop:
  push af
  or (hl)
  ld (hl),a
  pop af
  rrca
  jr nc, TI_HorzLineB
  inc hl
TI_HorzLineB
  djnz TI_HorzLineLoop
  ret
; refer to DRAWWINDOW in TIPwin83.asm
; refer to WINDOWMENU in TIPwin83.asm
TI_CP16:
	push hl
	or a
	sbc hl,de
	pop hl
	ret
;After about three hours of tweaking, I found this to be the most
;stable and effective way to read keys through the hardware (twice)
TI_GETKEY:
	ld a, $ff
	out (1), a
	ld a, b
	out (1), a
	in a, (1)
	and c
	ret z
	ld a, $ff
	out (1), a
	ld a, b
	out (1), a
	in a, (1)
	and c
	ret
TI_STRING0:
	.db "Main Menu",0
SLOWSTRING:
	.db "Slow",0
FASTSTRING:
	.db "Fast",0
TI_STRING1:
	.db "You Died",0
TI_ENDFILE:
SYSWORDARG1                              .equ $b7fe
SYSWORDARG0                              .equ $b7fc
SPRITE16HEIGHT                           .equ $b7fb
SPRITE8HEIGHT                            .equ $b7fa
SUCCESS                                  .equ $b7f9
SYSBYTEARG4                              .equ $b7f8
SYSBYTEARG3                              .equ $b7f7
SYSBYTEARG2                              .equ $b7f6
SYSBYTEARG1                              .equ $b7f5
SYSBYTEARG0                              .equ $b7f4
SYSPOINTERARG1                           .equ $b7f2
SYSPOINTERARG0                           .equ $b7f0
SHIPX                                    .equ $b7ef
CURTUNNELX                               .equ $b7ee
LOOPBYTE                                 .equ $b7ed
TUNNELSIZE                               .equ $b7ec
SPEED                                    .equ $b7eb
SHRINKSPEED                              .equ $b7ea
SCORE                                    .equ $b7e8
TEMPBUFFER                               .equ $b7d8
FREEMEM                                  .equ 47064
SCREENHEIGHT                             .equ 64
NUMSCREENBYTES                           .equ 768
SCREENWIDTH                              .equ 96
SCREENWIDTHBYTES                         .equ 12
IDYES                                    .equ 1
IDNO                                     .equ 2
IDCANCEL                                 .equ 3
MB_OK                                    .equ 0
MB_YESNO                                 .equ 1
MB_YESNOCANCEL                           .equ 2
MB_NONE                                  .equ 3
SCREENWIDTHBYTES*2                       .equ SCREENWIDTHBYTES*2
