				;Title("Total Collapse")
#include "ti86asm.inc"
.org $d748
	nop
	jp MAIN
	.dw 0
	.dw TI_MAINTITLE
MYSHIP:
	.db %00011000
	.db %00111100
	.db %11111111
MAIN:
				;	StartExec
	ld hl,$FC00 
	ld (VIDEOBUFF),hl
	call _ram_page_1
	call _clrLCD
	call _runindicoff
				;	DrawBigText(TI_MAINTITLE, 1,1)
	ld hl,TI_MAINTITLE 
	ld (SYSPOINTERARG0),hl
	ld a,1 
	ld (SYSBYTEARG0),a
	ld (SYSBYTEARG1),a
	call DRAWBIGTEXT
				;	DrawString("By: Thomas Williamson", 10, 18)
	ld hl,TI_STRING0 
	ld (SYSPOINTERARG0),hl
	ld a,10 
	ld (SYSBYTEARG0),a
	ld a,18 
	ld (SYSBYTEARG1),a
	call DRAWSTRING
				;	DrawBigText("Hit 2nd", 4, 4)
	ld hl,TI_STRING1 
	ld (SYSPOINTERARG0),hl
	ld a,4 
	ld (SYSBYTEARG0),a
	ld (SYSBYTEARG1),a
	call DRAWBIGTEXT
				;	WaitForSecond
	call WAITFORSECOND
				;	ClearScreen	/Since the buffer and LCD are the same on the 86, we gotta
	call CLEARSCREEN
				;	score = 0
	ld hl,0 
	ld (SCORE),hl
				;	loopbyte = 0	/ when this reaches 200, we shrink the tunnel a bit
	xor a ;0 
	ld (LOOPBYTE),a
				;	curtunnelx = 40
	ld a,40 
	ld (CURTUNNELX),a
				;	tunnelsize = 30
	ld a,30 
	ld (TUNNELSIZE),a
				;	shipx = 51
	ld a,51 
	ld (SHIPX),a
				;	Do
TI_DOWHILE1:
				;	score++
	ld hl,(SCORE)
	inc hl
	ld (SCORE),hl
				;	loopbyte++
	ld hl,LOOPBYTE 
	inc (hl)
				;	ifequal(loopbyte, 200)
	ld a,(LOOPBYTE)
	cp 200 
	jp nz,TI_IFTHEN8
				;		ScrambleRandomSeed /While we're at it...
	call SCRAMBLERANDOMSEED
				;		tunnelsize--
	ld hl,TUNNELSIZE 
	dec (hl)
				;		loopbyte = 0
	xor a ;0 
	ld (LOOPBYTE),a
				;	endif
TI_IFTHEN8:
				;	GetRandomNumber(3)	/ Get random # from 1 and 3
	ld a,3 
	ld (SYSBYTEARG0),a
	call GETRANDOMNUMBER
				;	curtunnelx -= 2		/ curtunnel = curtunnel - 2 + (1-3)
	ld a,(CURTUNNELX)
	sub 2 
	ld (CURTUNNELX),a
				;	curtunnelx += success	/ this makes it move back and forth
	ld a,(CURTUNNELX)
	ld hl,SUCCESS
	add a,(hl)
	ld (CURTUNNELX),a
				;	ifequal(curtunnelx,0)
	or a; 0 
	jp nz,TI_IFTHEN12
				;		curtunnelx++	/ check if its going to far left
	ld hl,CURTUNNELX 
	inc (hl)
				;	endif
TI_IFTHEN12:
				;	ifequal(curtunnelx,64)	/ check if its going to far right
	ld a,(CURTUNNELX)
	cp 64 
	jp nz,TI_IFTHEN14
				;		curtunnelx--
	ld hl,CURTUNNELX 
	dec (hl)
				;	endif
TI_IFTHEN14:
				;	HorzLine(0,0,curtunnelx)
	xor a ;0 
	ld (SYSBYTEARG0),a
	ld (SYSBYTEARG1),a
	ld a,(CURTUNNELX)
	ld (SYSBYTEARG2),a
	call HORZLINE
				;	sysbytearg0 = curtunnelx + tunnelsize
	ld a,(CURTUNNELX)
	ld hl,TUNNELSIZE
	add a,(hl)
	ld (SYSBYTEARG0),a
				;	sysbytearg2 = SCREENWIDTH - sysbytearg0
	ld a,SCREENWIDTH 
	ld hl,SYSBYTEARG0
	sub (hl)
	ld (SYSBYTEARG2),a
				;	HorzLine(sysbytearg0, sysbytearg1, sysbytearg2)
	call HORZLINE
				;	HorzLine(sysbytearg0, 1, sysbytearg2)
	ld a,1 
	ld (SYSBYTEARG1),a
	call HORZLINE
				;	HorzLine(0,sysbytearg1,curtunnelx)
	xor a ;0 
	ld (SYSBYTEARG0),a
	ld a,(CURTUNNELX)
	ld (SYSBYTEARG2),a
	call HORZLINE
				;	ifkey(left)
	ld a,$7E 
	out (1), a
	in a,(1)
	and $02
	jp nz,TI_IFTHEN20
				;		ifnotequal(shipx, 0)
	ld a,(SHIPX)
	or a; 0 
	jp z,TI_IFTHEN21
				;			shipx--
	ld hl,SHIPX 
	dec (hl)
				;		endif
TI_IFTHEN21:
				;	endif
TI_IFTHEN20:
				;	ifkey(right)
	ld a,$7E 
	out (1), a
	in a,(1)
	and $04
	jp nz,TI_IFTHEN24
				;		ifnotequal(shipx, 80)
	ld a,(SHIPX)
	cp 80 
	jp z,TI_IFTHEN25
				;			shipx++
	ld hl,SHIPX 
	inc (hl)
				;		endif
TI_IFTHEN25:
				;	endif
TI_IFTHEN24:
				;	ifkey(exit)
	ld a,$3F 
	out (1), a
	in a,(1)
	and $40
	jp nz,TI_IFTHEN28
				;		EscapeFunction
	ret
				;	endif
TI_IFTHEN28:
				;	Draw8H(MyShip, shipx, 58, 3)
	ld hl,MYSHIP 
	ld (SYSPOINTERARG0),hl
	ld a,(SHIPX)
	ld (SYSBYTEARG0),a
	ld a,58 
	ld (SYSBYTEARG1),a
	ld a,3 
	ld (SPRITE8HEIGHT),a
	call DRAW8H
				;	ScrollDown(VideoBuff, tempbuffer)
	ld hl,(VIDEOBUFF)
	ld (SYSPOINTERARG0),hl
	ld hl,TEMPBUFFER 
	ld (SYSPOINTERARG1),hl
	call SCROLLDOWN
				;	ScrollDown(VideoBuff, tempbuffer)
	ld hl,(VIDEOBUFF)
	ld (SYSPOINTERARG0),hl
	ld hl,TEMPBUFFER 
	ld (SYSPOINTERARG1),hl
	call SCROLLDOWN
				;	ClearMemory(SCREENWIDTHBYTES*2, videobuff)
	ld hl,SCREENWIDTHBYTES*2-1 
	push hl
	ld hl,(VIDEOBUFF)
	push hl
	pop de
	inc de
	ld (hl),0
	pop bc
	ldir
				;	sysbytearg0 = shipx + 4
	ld a,(SHIPX)
	add a,4 
	ld (SYSBYTEARG0),a
				;	TestPixel(sysbytearg0, 59)
	ld a,59 
	ld (SYSBYTEARG1),a
	call TESTPIXEL
				;	WhileEqual(success, 0)
	ld a,(SUCCESS)
	or a; 0 
	jp z,TI_DOWHILE1
				;	ClearScreen
	call CLEARSCREEN
				;	DrawBigText("Blam! You Died", 1, 1)
	ld hl,TI_STRING2 
	ld (SYSPOINTERARG0),hl
	ld a,1 
	ld (SYSBYTEARG0),a
	ld (SYSBYTEARG1),a
	call DRAWBIGTEXT
				;	DrawString("Score", 20, 20)
	ld hl,TI_STRING3 
	ld (SYSPOINTERARG0),hl
	ld a,20 
	ld (SYSBYTEARG0),a
	ld (SYSBYTEARG1),a
	call DRAWSTRING
				;	DrawNumber(score, 50, 20)
	ld hl,(SCORE)
	ld (SYSWORDARG0),hl
	ld a,50 
	ld (SYSBYTEARG0),a
	ld a,20 
	ld (SYSBYTEARG1),a
	call DRAWNUMBER
				;	WaitForSecond
	call WAITFORSECOND
				;	EndExec
	call _clrLCD
	ret
				;END
CLEARSCREEN:
;clears the home screen
    ld hl,$fc00
    ld de, $fc01
    ld (hl),l
    ld bc,1023
    ldir
    ret
WAITFORSECOND:
    ld bc,$3f20
    call TI_wfsb4
;waits for 2nd to be pressed and released
TI_wfsb2:
    call TI_GETKEY
    or a
    jr nz,TI_wfsb2
TI_wfsb4:
    call TI_GETKEY
    or a
    jr z,TI_wfsb4
    ret
DRAWSTRING:
;draws a string
    ld hl,(SYSBYTEARG0)
    ld (_penCol), hl
    ld hl, (SYSPOINTERARG0)
    jp _vputs
DRAWNUMBER:
;draws a 16-bit number
    ld hl,(SYSBYTEARG0)
    ld (_penCol),hl
    ld hl,(SYSWORDARG0)
    ld de,_OP1+5
    xor a
    ld (de),a
TI_DNLOOP:
    call _divHLby10
    dec de
    add  a,'0'
    ld (de),a
    ld a,h
    or l
    jr nz,TI_DNLOOP
    ex de,hl
    jp _vputs
DRAWBIGTEXT:
; draws in big text
    ld hl,(SYSBYTEARG0)
    ld (_curRow), hl
    ld hl,(SYSPOINTERARG0)
    jp _puts
GETRANDOMNUMBER:
	ld a,r
	ld e,a
	ld d,a
	ld hl, (GETRANDOMNUMBER_SEED)
	add hl,de
	ld (GETRANDOMNUMBER_SEED),hl
	ld a,(SYSBYTEARG0)
	call _divHLbyA
	inc a
	ld (SUCCESS),a
	ret
GETRANDOMNUMBER_SEED:
	.dw $3B56	; just some random number I chose to start out with.
SCRAMBLERANDOMSEED:
	ld a,r
	rrca
	inc a
	ld (GETRANDOMNUMBER_SEED+1),a
	ret
DRAW8:
;ors an 8 pixel wide nonaligned sprite
    ld de,(SYSBYTEARG0)
    ld h, 0
    ld a,d
    add a,a
    add a,a
    ld l,a
    ld a,e
    rra
    add hl,hl
    rra
    add hl,hl
    rra
    or l
    ld l,a
    ld bc, (VIDEOBUFF)
    add hl,bc
    ld a,e
    and %00000111
    ld ix, (SYSPOINTERARG0)
    ld c, a
    ld a,(SPRITE8HEIGHT)
    ld b, a
ds21lp:
    push bc
    ld a, c
    ld c, (ix+0)
    or a
    jr z, TI_D8_skiprotate
    ld b, a
    xor a
ds21lp2:
    rr c
    rra
    djnz ds21lp2
TI_D8_skiprotate:
    ld b,a
    ld a,c
    or (hl)
    ld (hl),a
    inc hl
    ld a,b
    or (hl)
    ld (hl),a
    inc ix
    ld bc, 15
    add hl, bc
    pop bc
    djnz ds21lp
    ret
DRAW8H .equ DRAW8
SCROLLDOWN:
; scrolls buffer in pointer 0 down 1 pixel, uses 16-byte buffer pointed to by pointer 1 for temp. storage
  ld hl,(SYSPOINTERARG0)
  ld de,(SYSPOINTERARG1)
  push de
  push hl
  ld bc, 1008
  add hl,bc
  push bc
  push hl
  push hl
  ld bc, 16
  push bc
  ldir
  pop hl
  pop de
  dec hl
  add hl,de
  ex de,hl
  pop hl
  dec hl
  pop bc
  lddr
  pop de
  pop hl
  ld bc,16
  ldir
  ret
TI_FINDPIXEL:
; typical find pixel routine
  ld de, (SYSBYTEARG0)
; Modified version of Dan Eble's and James Yopp's findpixel routine
  ld hl,TI_FP_Bits
  ld a,e
  and $07         ; a = bit offset
  add a,l
  ld l,a
  adc a,h
  sub l
  ld h,a
  ld c,(hl)       ; c = bitmask for (hl)
  ld hl,TI_FP_RLD
  ld (hl),d
  ld a,e          ; a = x/8 (byte offset within row)
  rrca
  rrca   
  rrca
  rld
  ld l,(hl)
  and %00000011
  ld h,a          ; hl -> byte in vid mem
  ld de, (VIDEOBUFF)
  add hl,de  
  ld a,c          ; now a = bitmask for (hl)
  ret
TI_FP_RLD:  .db $00
TI_FP_Bits: .db $80,$40,$20,$10,$08,$04,$02,$01
TESTPIXEL:
  call TI_FINDPIXEL
  and (hl)
  ld (SUCCESS), a
  ret
HORZLINE:
  call TI_FINDPIXEL
  ld bc, (SYSBYTEARG1)
TI_HorzLineLoop:
  push af
  or (hl)
  ld (hl),a
  pop af
  rrca
  jr nc, TI_HorzLineB
  inc hl
TI_HorzLineB
  djnz TI_HorzLineLoop
  ret
TI_CP16:
	push hl
	or a
	sbc hl,de
	pop hl
	ret
;After about three hours of tweaking, I found this to be the most
;stable and effective way to read keys through the hardware (twice)
TI_GETKEY:
	ld a,b
	out (1), a
	in a,(1)
	and c
	ret z
	ld a,b
	out (1), a
	in a,(1)
	and c
	ret
TI_MAINTITLE:
	.db "Total Collapse",0
TI_STRING0:
	.db "By: Thomas Williamson",0
TI_STRING1:
	.db "Hit 2nd",0
TI_STRING2:
	.db "Blam! You Died",0
TI_STRING3:
	.db "Score",0
TI_ENDFILE:
SYSPOINTERARG0                           .equ $8100
SYSPOINTERARG1                           .equ $8102
SYSBYTEARG0                              .equ $8104
SYSBYTEARG1                              .equ $8105
SYSBYTEARG2                              .equ $8106
SYSBYTEARG3                              .equ $8107
SYSBYTEARG4                              .equ $8108
SUCCESS                                  .equ $8109
SPRITE8HEIGHT                            .equ $810a
SPRITE16HEIGHT                           .equ $810b
SYSWORDARG0                              .equ $810c
SYSWORDARG1                              .equ $810e
VIDEOBUFF                                .equ $8110
SHIPX                                    .equ $8112
CURTUNNELX                               .equ $8113
LOOPBYTE                                 .equ $8114
TUNNELSIZE                               .equ $8115
SCORE                                    .equ $8116
TEMPBUFFER                               .equ $8118
FREEMEM                                  .equ 33064
SCREENHEIGHT                             .equ 64
NUMSCREENBYTES                           .equ 1024
SCREENWIDTH                              .equ 128
SCREENWIDTHBYTES                         .equ 16
SCREENWIDTHBYTES*2                       .equ SCREENWIDTHBYTES*2
