				;TITLE("TIPwin83 Library Example")
#include "ionreg.inc"
	.org $9327
	ret
	jr nc,TI_sysbegin
TI_MAINTITLE
	.db "TIPwin83 Library Example",0
TI_sysbegin:
	jp MAIN
VIDEOBUFF = plotsscreen
#include "TIPwin83reg.inc"
TIPWIN83:
	.db 6,"TIPWIN83",0
MYMESSAGE:
	.db "Hello!",0
	.db "Three Lines", 0
	.db "Will do fine!", 0, 0
MYSPRITE:
	.db %00100000, %00000100
	.db %01000000, %00000100
	.db %01011000, %00110010
	.db %01000100, %01000010
	.db %01000001, %00000010
	.db %01001000, %10010010
	.db %11000000, %01000011
	.db %11000001, %11000011
	.db %10000000, %00001001
	.db %10001000, %00010001
	.db %11000100, %00110011
	.db %00100111, %11010010
	.db %00100101, %01100010
	.db %00100011, %11000010
	.db %00010000, %00000100
	.db %00001000, %00001000
MYHELP:
	.db "This isn't really supposed",0
	.db "to be a big help. It's real", 0
	.db "purpose is to debug my new", 0
	.db "function, HelpWindow! It's", 0
	.db "Great! Allows a program to ", 0
	.db "use a list of strings, ", 0
	.db "to create a scrolling help", 0
	.db "window, w/ minimal effort.", 0
	.db "Just write up the document,", 0
	.db "and blam!, there it is!", 0, 0
MYMENU:
	.db 255
	.dw CLEARSCREEN	;this automatically clears the screen before the window is shown
	.db 5		;5 menu options
	.db "Show Big Box", 0
	.db "Plain Gritty Edged", 0
	.db "Sample Message Box", 0
	.db "Using 255-left value", 0
	.db "HelpWindow Function", 0
; These are functions (can be declared later) that are called for each of
; the above menu items. Function Names MUST be in all caps.
	.dw SHOWBIGBOX, PLAINGRITTY, SAMPLEMESSAGE, USING255, DEMONHELP
MAIN:
				;  StartExec
				;  LoadLibrary(TIPwin83)
	ld hl,TIPWIN83 
	ld (SYSPOINTERARG0),hl
	call LOADLIBRARY
				;  ifnotequal(success, 0) /if success is nonzero, then LoadLibrary failed and printed error on screen
	ld a,(SUCCESS)
	or a; 0 
	jp z,TI_IFTHEN3
				;    WaitForSecond	/pauses so user can read message, then exit.
	call WAITFORSECOND
				;    EscapeFunction
	ret
				;  endif
TI_IFTHEN3:
				;  WindowMenu(88, 40, "TIPwin83 Rocks!", mymenu)
	ld a,88 
	ld (SYSBYTEARG2),a
	ld a,40 
	ld (SYSBYTEARG3),a
	ld hl,TI_STRING0 
	ld (SYSPOINTERARG0),hl
	ld hl,MYMENU 
	ld (SYSPOINTERARG1),hl
	call WINDOWMENU
				;  EndExec
	ret
SHOWBIGBOX:
				;  DrawWindowTitleRounded(0,0,96,64, "TIwin83 Big Window")
	xor a ;0 
	ld (SYSBYTEARG0),a
	ld (SYSBYTEARG1),a
	ld a,96 
	ld (SYSBYTEARG2),a
	ld a,64 
	ld (SYSBYTEARG3),a
	ld hl,TI_STRING1 
	ld (SYSPOINTERARG0),hl
	call DRAWWINDOWTITLEROUNDED
				;  CopyBuffer
	call COPYBUFFER
				;  WaitForSecond
	call WAITFORSECOND
	ret
PLAINGRITTY:
				;  DrawWindowPlain(5,5,30,30)
	ld a,5 
	ld (SYSBYTEARG0),a
	ld (SYSBYTEARG1),a
	ld a,30 
	ld (SYSBYTEARG2),a
	ld (SYSBYTEARG3),a
	call DRAWWINDOWPLAIN
				;  Draw1616(mysprite, 10, 10)
	ld hl,MYSPRITE 
	ld (SYSPOINTERARG0),hl
	ld a,10 
	ld (SYSBYTEARG0),a
	ld (SYSBYTEARG1),a
	call DRAW1616
				;  CopyBuffer
	call COPYBUFFER
				;  WaitForSecond
	call WAITFORSECOND
	ret
SAMPLEMESSAGE:
				;  MessageBoxCenter(80,28,"Sample",mymessage,MB_OK)
	ld a,80 
	ld (SYSBYTEARG2),a
	ld a,28 
	ld (SYSBYTEARG3),a
	ld hl,TI_STRING2 
	ld (SYSPOINTERARG0),hl
	ld hl,MYMESSAGE 
	ld (SYSPOINTERARG1),hl
	ld a,MB_OK 
	ld (SYSBYTEARG4),a
	call MESSAGEBOXCENTER
	ret
USING255:
				;  DrawWindowTitleRounded(255,16,32,32,"Middle")
	ld a,255 
	ld (SYSBYTEARG0),a
	ld a,16 
	ld (SYSBYTEARG1),a
	ld a,32 
	ld (SYSBYTEARG2),a
	ld (SYSBYTEARG3),a
	ld hl,TI_STRING3 
	ld (SYSPOINTERARG0),hl
	call DRAWWINDOWTITLEROUNDED
				;  CopyBuffer
	call COPYBUFFER
				;  WaitForSecond
	call WAITFORSECOND
	ret
DEMONHELP:
				;  ClearScreen
	call CLEARSCREEN
				;  HelpWindow("TIPwin83 Help", myhelp)
	ld hl,TI_STRING4 
	ld (SYSPOINTERARG0),hl
	ld hl,MYHELP 
	ld (SYSPOINTERARG1),hl
	call HELPWINDOW
	ret
				;END
CLEARSCREEN:
;clears the home screen
    ld hl, VIDEOBUFF
    ld de, VIDEOBUFF+1
    ld (hl),0
    ld bc, NUMSCREENBYTES-1
    ldir
    jp ionFastCopy
COPYBUFFER .equ ionFastCopy
WAITFORSECOND:
;waits for 2nd to be pressed and released
    call TI_wfsb4
TI_wfsb2:
    call TI_wfsb3
    jr nz,TI_wfsb2
TI_wfsb4:
    call TI_wfsb3
    jr z,TI_wfsb4
    ret
TI_wfsb3:
    ld a, $ff
    out (1),a
    ld a, $bf
    out (1),a
    in a,(1)
    cp 223
    ret
LOADSTRING:
;loads a string from memory
    ld hl,(SYSPOINTERARG0)
    ld de, op1
    ld bc, 10
    ldir
    bcall _chkfindsym
    jr c, TI_LSERROR
    ex de,hl          ; exchange de and hl
    ld c,(hl)         ; get LSB of the size
    inc hl            ; next byte
    ld b,(hl)         ; get MSB of the size
    inc hl            ; next byte
    inc hl	; since it is actually a program. We skip the $bb and 6d
    inc hl
    ld de,(SYSPOINTERARG1)       ; buffer
    ldir              ; copy data
    xor a
TI_LOADSTRING_FINISH:
    ld (SUCCESS),a
    ret
TI_LSERROR:
    ld a,1
    jr TI_LOADSTRING_FINISH
LOADLIBRARY:
;loads a library into the last 4k of the RAM_PAGE_1 (assuming 14k is alterable)
    ld hl, $b800
    ld (SYSPOINTERARG1), hl
    call LOADSTRING
    ld a, (SUCCESS) ;if library succeeded in loading
    or a
    ret z
;disables any user interrupts being used
    res 2,(iy+$23)
    ld a,$3c
    out (0),a    
;draws error string
    ld hl, 0
    ld (curRow), hl
    ld hl, TI_LOADLERRSTRING
    bcall _puts
    ret
TI_LOADLERRSTRING:
    .db "Required Library was not found.", 0
DRAW16:
;ors an 16 pixel wide nonaligned sprite
    ld de,(SYSBYTEARG1)     
    sla e
    sla e
    ld h,0
    ld d,h
    ld l,e
    add hl,hl
    add hl,de
    ld a,(SYSBYTEARG0)
    ld e,a
    srl e
    srl e
    srl e
    add hl,de
    ld de, VIDEOBUFF
    add hl,de       ; Add address to graphbuf
    and %00000111
    ld ix, (SYSPOINTERARG0)
    ld c, a
    ld a,(SPRITE16HEIGHT)
    ld b, a
ds2116lp:
    push bc
    ld a, c
    ld c, (ix+0)
    ld d, (ix+1)
    or a
    jr z, TI_D16_skiprotate
    ld b, a
    xor a
ds2116lp2:
    rr c
    rr d
    rra
    djnz ds2116lp2
TI_D16_skiprotate:
    ld b,a
    ld a,c
    or (hl)
    ld (hl),a
    inc hl
    ld a,d
    or (hl)
    ld (hl),a
    inc hl    
    ld a,b
    or (hl)
    ld (hl),a
    inc ix
    inc ix
    ld bc, 10
    add hl, bc
    pop bc
    djnz ds2116lp
    ret
DRAW1616:
    ld a, 16
    ld (SPRITE16HEIGHT), a
    jp DRAW16
; refer to DRAWWINDOW in TIPwin83.asm
; refer to DRAWWINDOW in TIPwin83.asm
; refer to DRAWWINDOW in TIPwin83.asm
; refer to HELPWINDOW in TIPwin83.asm
; refer to WINDOWMENU in TIPwin83.asm
TI_CP16:
	push hl
	or a
	sbc hl,de
	pop hl
	ret
;After about three hours of tweaking, I found this to be the most
;stable and effective way to read keys through the hardware (twice)
TI_GETKEY:
	ld a, $ff
	out (1), a
	ld a, b
	out (1), a
	in a, (1)
	and c
	ret z
	ld a, $ff
	out (1), a
	ld a, b
	out (1), a
	in a, (1)
	and c
	ret
TI_STRING0:
	.db "TIPwin83 Rocks!",0
TI_STRING1:
	.db "TIwin83 Big Window",0
TI_STRING2:
	.db "Sample",0
TI_STRING3:
	.db "Middle",0
TI_STRING4:
	.db "TIPwin83 Help",0
TI_ENDFILE:
SYSWORDARG1                              .equ $b7fe
SYSWORDARG0                              .equ $b7fc
SPRITE16HEIGHT                           .equ $b7fb
SPRITE8HEIGHT                            .equ $b7fa
SUCCESS                                  .equ $b7f9
SYSBYTEARG4                              .equ $b7f8
SYSBYTEARG3                              .equ $b7f7
SYSBYTEARG2                              .equ $b7f6
SYSBYTEARG1                              .equ $b7f5
SYSBYTEARG0                              .equ $b7f4
SYSPOINTERARG1                           .equ $b7f2
SYSPOINTERARG0                           .equ $b7f0
FREEMEM                                  .equ 47088
SCREENHEIGHT                             .equ 64
NUMSCREENBYTES                           .equ 768
SCREENWIDTH                              .equ 96
SCREENWIDTHBYTES                         .equ 12
IDYES                                    .equ 1
IDNO                                     .equ 2
IDCANCEL                                 .equ 3
MB_OK                                    .equ 0
MB_YESNO                                 .equ 1
MB_YESNOCANCEL                           .equ 2
MB_NONE                                  .equ 3
