; The Ion Include File by Dan Englender
; modified for TIPOWER use by Thomas Williamson

; TI83+ include

;----> Safe Memory Areas
; saferam1 = 768 bytes (apdram)
; saferam2 = 531 bytes (statram)
; saferam3 = 128 bytes (textmem)
; saferam4 = 66 bytes (ops)
; saferam5 = 10 bytes (imathptrs)

.addinstr bcall * EF 3 NOP 1
appBackupScreen =$9872  ; 768 bytes
_ldhlind    =$4009
_htimesl    =$4276
_convop1    =$4AEF
contrast    =8447h
_darkline   =$47DD
_darkpoint  =$47F2
_archUnarch =$4FD8
_enoughRam  =$42FD
usermemoff  =$89EC
libstart    =$0004
progstart   =9D95h
saferam1    =9872h
saferam2    =858fh
saferam3    =8508h
saferam4    =8478h
saferamp    =9872h
saferamp2   =8251h
_homeup     =$4558
_newline    =$452E
_cleargbuf  =4BD0h
_indicatorOn    =456Dh
_indicatorOff   =4570h
_copygbuf   =486Ah
_clrlcdf    =4540h
_cleartextshad  =454Ch
_clrscr     =4543h
_clrscrf    =4546h
_cline      =4798h
_iline      =47E0h
_ipoint     =47E3h
_ParseInp   =4A9Bh
_divhlby10  =400Fh
_cphlde     =400Ch
_disphl     =4507h
_divhlbya   =4012h
_hltimes9   =40F9h
_vputmap    =455Eh
_vputs      =4561h
_vputsn     =4564h
_putmap     =4501h
_puts       =450Ah
_putps      =4510h
_putc       =4504h
_getkey     =4972h
_getk       =4744h
_getcsc     =4018h
_memfree    =$42E5
_chksysvar  =42F1h
_findsym    =42F4h
_createprog =$4339
_createprotprog =$4E6D
_delvar     =4351h
_insertmem  =42F7h
_deletemem  =4357h
_lcdbusy    =4051h
op1     =8478h
op2     =8483h
op3     =8499h
op4     =8499h
op5     =84A4h
op6     =84AFh
imathptr1   =84D3h
imathptr2   =84D5h
imathptr3   =84D7h
imathptr4   =84D9h
imathptr5   =84DBh
progptr     =9830h
cmdshad     =966Eh
plotsscreen =9340h
symtable    =$FE6E
currow      =844Bh
curcol      =844Ch
pencol      =86D7h
penrow      =86D8h
curgy       =8D18h
curgx       =8D19h
_PushRealO1 .equ 43BAh
_PushRealO2 .equ 43B7h
_PushRealO3 .equ 43B4h
_PushRealO4 .equ 43B1h
_PushRealO5 .equ 43AEh
_PushRealO6 .equ 43ABh
_FPAdd  .equ 4072h
_FPDiv  .equ 4099h
_FPMult .equ 4084h
_OP1ExOP4   .equ 421Ch
_OP1Set0    .equ 41BFh
_OP3SET2    .equ 41A4h
_PopRealO1  =4390h
_PopRealO2  =438Dh
_PopRealO3  =438Ah
_PopRealO4  =4387h
_PopRealO5  =4384h
_PopRealO6  =4381h
_op5exop6   =420Ah
_op5set0    =41B3h
_cpop1op2   =$4111
_op3toop4   =$4114
_op1toop4   =$4117
_op2toop4   =$411A
_op4toop2   =$411D
_op3toop2   =$4120
_op1toop3   =$4123
_op5toop2   =$4126
_op5toop6   =$4129
_op5toop4   =$412C
_op1toop2   =$412F
_op6toop2   =$4132
_op6toop1   =$4135
_op4toop1   =$4138
_op5toop1   =$413B
_op3toop1   =$413E
_op6toop5   =$4141
_op4toop5   =$4144
_op3toop5   =$4147
_op2toop5   =$414A
_op2toop6   =$414D
_op1toop6   =$4150
_op1toop5   =$4153
_op2toop1   =$4156
_op2toop3   =$416E
_op4toop3   =$4171
_op5toop3   =$4174
_op4toop6   =$4177
_OP1Set1    .equ 419Bh
_OP1Set2    .equ 41A7h
_OP1Set3    .equ 41A1h
_OP1Set4    .equ 419Eh
_pushop1    =$43C9
_popop1     =$437E
_arc_unarc  .equ 4FD8h
_sin        =40BDh
_zeroop1    =$41C5
_zeroop2    =$41C8
_zeroop3    =$41CB
_setxxop1   =$478C
_setxxop2   =$478F
_setxxxxop2 =$4792
_dispop1a   =4BF7h
_mov9toop1  =$417A
_delvararc  =$4fC6
ptemp       =982Eh
grbuf       =plotsscreen
graph_mem   =plotsscreen
gbuf        =plotsscreen
sram        =saferam1
apdram      =saferam1
statram     =saferam2
statvars    =saferam2
vat     =progptr
saferam5    =imathptr1
_grbufcpy   =_copygbuf
_grbufclr   =_cleargbuf
_clrlcdfull     =_clrlcdf
_clrscrnfull    =_clrscrf
_chkfindsym     =_chksysvar
textshadow  =saferam3
savesscreen     =saferam1
;-----> Ion Functions
lVectors    =cmdshad+80
ionVersion  =lVectors
ionRandom   =lVectors+3
ionPutSprite    =lVectors+6
ionLargeSprite  =lVectors+9
ionGetPixel =lVectors+12
ionFastCopy =lVectors+15
ionDetect   =lVectors+18
ionDecompress   =lVectors+21


trigflags       .EQU       0           ; IY OFFSET VALUE
trigdeg         .EQU       2
;
plotflags       .EQU       2           ; IY OFFSET VALUE
plotloc         .EQU       1
plotdisp        .EQU       2
;
grfmodeflags    .EQU       2           ; IY OFFSET VALUE
grffuncm        .EQU       4
grfpolarm       .EQU       5
grfparamm       .EQU       6
grfrecurm       .EQU       7
;
graphflags      .EQU       3           ; IY OFFSET VALUE
graphdraw       .EQU       0
graphcursor     .EQU       2
;
grfdbflags      .EQU       4           ; IY OFFSET VALUE
grfdot          .EQU       0
grfsimul        .EQU       1
grfgrid         .EQU       2
grfpolar        .EQU       3
grfnocoord      .EQU       4
grfnoaxis       .EQU       5
grflabel        .EQU       6
;
textflags       .EQU       5           ; IY OFFSET VALUE
textEraseBelow  .EQU       1
textScrolled    .EQU       2
textInverse     .EQU       3
;
onflags         .EQU       9           ; IY OFFSET VALUE
onRunning       .EQU       3
onInterrupt     .EQU       4
;
statflags       .EQU       9           ; IY OFFSET VALUE
statsvalid      .EQU       6
;
fmtflags        .EQU       10          ; IY OFFSET VALUE
fmtExponent     .EQU       0
fmtEng          .EQU       1
;
nummode         .EQU       10          ; IY OFFSET VALUE
FMTREAL         .EQU       5
FMTRECT         .EQU       6
FMTPOLAR        .EQU       7
;
curflags        .EQU       12          ; IY OFFSET VALUE
curAble         .EQU       2
curOn           .EQU       3
curLock         .EQU       4
;
appflags        .EQU       13          ; IY OFFSET VALUE
appTextSave     .EQU       1
appAutoScroll   .EQU       2
;
PLOTFLAG2       .EQU       17          ; IY OFFSET VALUE
EXPR_PARAM      .EQU       3
EXPR_WRITING    .EQU       4
;
indicflags      .EQU       18          ; IY OFFSET VALUE
indicRun        .EQU       0
indicOnly       .EQU       2
;
shiftflags      .EQU       18          ; IY OFFSET VALUE
shift2nd        .EQU       3
shiftAlpha      .EQU       4
shiftALock      .EQU       6
;
tblflags        .EQU       19          ; IY OFFSET VALUE
AutoFill        .EQU       4
AutoCalc        .EQU       5
;
sgrflags        .EQU       20          ; IY OFFSET VALUE
grfSplit        .EQU       0
VertSplit       .EQU       1
WRITE_ON_GRAPH  .EQU       4
textwrite       .EQU       7
;
asm_flag1       .EQU       33          ; IY OFFSET VALUE
asm_flag1_0     .EQU       0
asm_flag1_1     .EQU       1
asm_flag1_2     .EQU       2
asm_flag1_3     .EQU       3
asm_flag1_4     .EQU       4
asm_flag1_5     .EQU       5
asm_flag1_6     .EQU       6
asm_flag1_7     .EQU       7
;
asm_flag2       .EQU       34          ; IY OFFSET VALUE
asm_flag2_0     .EQU       0
asm_flag2_1     .EQU       1
asm_flag2_2     .EQU       2
asm_flag2_3     .EQU       3
asm_flag2_4     .EQU       4
asm_flag2_5     .EQU       5
asm_flag2_6     .EQU       6
asm_flag2_7     .EQU       7
;
asm_flag3       .EQU       35          ; IY OFFSET VALUE
asm_flag3_0     .EQU       0
asm_flag3_1     .EQU       1
asm_flag3_2     .EQU       2
asm_flag3_3     .EQU       3
asm_flag3_4     .EQU       4
asm_flag3_5     .EQU       5
asm_flag3_6     .EQU       6
asm_flag3_7     .EQU       7


